﻿using UnityEngine;
using System.Collections;

public class Letter : MonoBehaviour {

	public string letter = "";
	private string[] alphabet = {"a","b","c","d","e","f","g","h","i","j","k","l","m","n","o","p","q","r","s","t","u","v","w","x","y","z"};

	public TextMesh texty;
	public bool used = false;
	private bool usedCache = false;

	public Vector3 forces = Vector3.zero;

	public Renderer outlineRenderer;

	// Use this for initialization
	public void Init (string initLetter) {
		letter = initLetter;
		if (initLetter == "") letter = alphabet[Random.Range(0,alphabet.Length)];
		texty.text = letter.ToUpper();
		usedCache = !used;
	}
	
	// Update is called once per frame
	void Update () {
		if (usedCache != used){
			if (used){
				outlineRenderer.material.color = Color.green;
			}else{
				outlineRenderer.material.color = Color.grey;
			}
			usedCache = used;
		}

		transform.LookAt(transform.position + Camera.main.transform.forward);
	}
}
